Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class BaseGradient

    java.lang.Object
      org.richfaces.renderkit.html.BaseGradient

All Implemented Interfaces:
  org.richfaces.resource.Java2DUserResource, org.richfaces.resource.StateHolderResource, org.richfaces.resource.VersionedResource

Direct Known Subclasses:
  BaseControlBackgroundImage, GradientA

    public class BaseGradient

extends java.lang.Object
implements org.richfaces.resource.Java2DUserResource, org.richfaces.resource.StateHolderResource, org.richfaces.resource.VersionedResource

Author:
  Nick Belaevski - nbelaevski@exadel.com created 02.02.2007

Field Summary
`protected GradientType` | `gradientType`
`protected java.lang.Integer` | `headerBackgroundColor`
`protected java.lang.Integer` | `headerGradientColor`

Constructor Summary
`BaseGradient()`
`BaseGradient(boolean horizontal)`
`BaseGradient(int width, int height)`
`BaseGradient(int width, int height, boolean horizontal)`
`BaseGradient(int width, int height, int gradientHeight)`
`BaseGradient(int width, int height, int gradientHeight, boolean horizontal)`
`BaseGradient(int width, int height, int gradientHeight, java.lang.String baseColor, java.lang.String gradientColor)`
`BaseGradient(int width, int height, int gradientHeight, java.lang.String baseColor, java.lang.String gradientColor, boolean horizontal)`
`BaseGradient(int width, int height, java.lang.String baseColor, java.lang.String gradientColor)`
`BaseGradient(int width, int height, java.lang.String baseColor, java.lang.String gradientColor, boolean horizontal)`
`BaseGradient(java.lang.String baseColor, java.lang.String gradientColor)`
`BaseGradient(java.lang.String baseColor, java.lang.String gradientColor, boolean horizontal)`

Method Summary
`protected void` | `drawGradient(java.awt.Graphics2D g2d, java.awt.Shape shape, GradientType.BiColor colors, int height)`
`protected java.lang.String` | `getBaseColor()`
`java.awt.Dimension` | `getDimension()`
`protected java.lang.String` | `getGradientColor()`
`protected int` | `getGradientHeight()`
`protected int` | `getHeight()`
`org.richfaces.resource.ImageType` | `getImageType()`
`java.util.Date` | `getLastModified()`
`java.util.Map<java.lang.String,java.lang.String>` | `getResponseHeaders()`
`java.lang.String` | `getVersion()`
`protected int` | `getWidth()`
`void` | `initialize()`
`protected void` | `initializeProperties(javax.faces.context.FacesContext context, org.richfaces.skin.Skin skin)`
`protected boolean` | `isHorizontal()`
`boolean` | `isTransient()`
`void` | `paint(java.awt.Graphics2D graphics2d, java.awt.Dimension dimension)`
`protected void` | `paintGradient(java.awt.Graphics2D g2d, java.awt.Dimension dim)`
`void` | `readState(javax.faces.context.FacesContext context, java.io.DataInput dataInput)`
`void` | `setBaseColorParam(java.lang.String paramName)`
`void` | `setGradientColorParam(java.lang.String paramName)`
`void` | `setGradientHeight(int gradientHeight)`
`void` | `setGradientType(GradientType gradientType)`
`void` | `setHeight(int height)`
`void` | `setHorizontal(boolean horizontal)`
`void` | `setWidth(int width)`
`void` | `writeState(javax.faces.context.FacesContext context, java.io.DataOutput dataOutput)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### headerBackgroundColor

    protected java.lang.Integer headerBackgroundColor

### headerGradientColor

    protected java.lang.Integer headerGradientColor

### gradientType

    protected GradientType gradientType

Constructor Detail

### BaseGradient

    public BaseGradient(int width,
                        int height,
                        int gradientHeight,
                        java.lang.String baseColor,
                        java.lang.String gradientColor,
                        boolean horizontal)

### BaseGradient

    public BaseGradient(int width,
                        int height,
                        int gradientHeight)

### BaseGradient

    public BaseGradient(int width,
                        int height,
                        int gradientHeight,
                        java.lang.String baseColor,
                        java.lang.String gradientColor)

### BaseGradient

    public BaseGradient(int width,
                        int height)

### BaseGradient

    public BaseGradient(int width,
                        int height,
                        java.lang.String baseColor,
                        java.lang.String gradientColor)

### BaseGradient

    public BaseGradient()

### BaseGradient

    public BaseGradient(java.lang.String baseColor,
                        java.lang.String gradientColor)

### BaseGradient

    public BaseGradient(int width,
                        int height,
                        int gradientHeight,
                        boolean horizontal)

### BaseGradient

    public BaseGradient(int width,
                        int height,
                        boolean horizontal)

### BaseGradient

    public BaseGradient(int width,
                        int height,
                        java.lang.String baseColor,
                        java.lang.String gradientColor,
                        boolean horizontal)

### BaseGradient

    public BaseGradient(boolean horizontal)

### BaseGradient

    public BaseGradient(java.lang.String baseColor,
                        java.lang.String gradientColor,
                        boolean horizontal)

Method Detail

### initializeProperties

    protected void initializeProperties(javax.faces.context.FacesContext context,
                                        org.richfaces.skin.Skin skin)

### initialize

    public final void initialize()

### setWidth

    public final void setWidth(int width)

### setHeight

    public final void setHeight(int height)

### setGradientHeight

    public final void setGradientHeight(int gradientHeight)

### setBaseColorParam

    public final void setBaseColorParam(java.lang.String paramName)

### setGradientColorParam

    public final void setGradientColorParam(java.lang.String paramName)

### setHorizontal

    public final void setHorizontal(boolean horizontal)

### setGradientType

    public final void setGradientType(GradientType gradientType)

### getDimension

    public java.awt.Dimension getDimension()

  Specified by:
    `getDimension` in interface `org.richfaces.resource.Java2DUserResource`

### getGradientHeight

    protected int getGradientHeight()

  Returns:
    the gradientHeight

### getHeight

    protected int getHeight()

### getWidth

    protected int getWidth()

### getBaseColor

    protected java.lang.String getBaseColor()

  Returns:
    the baseColor

### getGradientColor

    protected java.lang.String getGradientColor()

  Returns:
    the gradientColor

### isHorizontal

    protected boolean isHorizontal()

  Returns:
    the horizontal

### drawGradient

    protected void drawGradient(java.awt.Graphics2D g2d,
                                java.awt.Shape shape,
                                GradientType.BiColor colors,
                                int height)

### paint

    public void paint(java.awt.Graphics2D graphics2d,
                      java.awt.Dimension dimension)

  Specified by:
    `paint` in interface `org.richfaces.resource.Java2DUserResource`

### paintGradient

    protected void paintGradient(java.awt.Graphics2D g2d,
                                 java.awt.Dimension dim)

  Parameters:
    `g2d` -
    `dim` -

### readState

    public void readState(javax.faces.context.FacesContext context,
                          java.io.DataInput dataInput)
                   throws java.io.IOException

  Specified by:
    `readState` in interface `org.richfaces.resource.StateHolderResource`
  Throws:
    `java.io.IOException`

### writeState

    public void writeState(javax.faces.context.FacesContext context,
                           java.io.DataOutput dataOutput)
                    throws java.io.IOException

  Specified by:
    `writeState` in interface `org.richfaces.resource.StateHolderResource`
  Throws:
    `java.io.IOException`

### getResponseHeaders

    public java.util.Map<java.lang.String,java.lang.String> getResponseHeaders()

  Specified by:
    `getResponseHeaders` in interface `org.richfaces.resource.Java2DUserResource`

### getLastModified

    public java.util.Date getLastModified()

  Specified by:
    `getLastModified` in interface `org.richfaces.resource.Java2DUserResource`

### getImageType

    public org.richfaces.resource.ImageType getImageType()

  Specified by:
    `getImageType` in interface `org.richfaces.resource.Java2DUserResource`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `org.richfaces.resource.StateHolderResource`

### getVersion

    public java.lang.String getVersion()

  Specified by:
    `getVersion` in interface `org.richfaces.resource.VersionedResource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.